{% extends "base.html" %}
{% block content %}

{% import 'components/exam.html' as exam_card %}


<style type="text/css">

  .scrolling-wrapper {
    display: flex;
    flex-wrap: wrap;
    padding: 0em;
  }

  .card-header.uv {
    background-color:rgba(148, 216, 239, 0.799);
    margin-bottom: 0em !important;
    text-align: left;
  }

  .card-header.exam {
    background-color:lightgray;
  }

  .card-footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  .card-content {
    padding-top: 1em;
    padding-bottom: 0.5em;

  }

  .card-content.scrolling-wrapper {
    padding: 0em;
  }

  dt {
    float: left;
    clear: left;
    font-weight: bold;
    padding-right: 0.5em;
  }

  dd {
    margin: 0 0 0 80px;
    padding: 0 0 0.5em 0;
    text-align: right;
  }

  .label {
    margin-right: 0.5em;
    margin-bottom: 0em !important;
  }

  .label:hover {
    cursor: pointer;
  }

  .course-control {
    margin: 0.5em;
    width: 220px;
  }

  .logo {
    margin-left: 0.5em;
  }

</style>

<script type="text/javascript">
  document.addEventListener('DOMContentLoaded', () => {
  // Functions to open and close a modal
  function openModal($el) {
    $el.classList.add('is-active');
  }

  function closeModal($el) {
    $el.classList.remove('is-active');
  }

  // Add a click event on buttons to open a specific modal
  (document.querySelectorAll('.js-modal-trigger') || []).forEach(($trigger) => {
    const modal = $trigger.dataset.target;
    const $target = document.getElementById(modal);

    $trigger.addEventListener('click', () => {
      openModal($target);
    });
  });

  // Add a click event on various child elements to close the parent modal
  (document.querySelectorAll('.modal-close, .delete, .close') || []).forEach(($close) => {
    const $target = $close.closest('.modal');

    $close.addEventListener('click', () => {
      closeModal($target);
    });
  });

});

</script>

{% if (user.role.name != "student") and ("FAKE_CAS" | env == '1') %}
<section class="hero is-warning">
  <div class="hero-body" style="padding: unset; height: 3em;">
    <p class="subtitle" style="padding-top: 0.5em;">Sur cette instance de test vous pouvez simuler une demande de création d'UV en cliquant
      <a class="js-modal-trigger" data-target="modal-create-fake-course">
      <b>ici</b>
      </a>.</p>
  </div>
</section>

{% import 'components/fake_course_create.html' as form %}
{{ form.create_fake_course() }}


{% endif %}

<div class="tabs is-medium is-centered">
    <ul>
      {% for sem in semesters %}
      {% if active == sem %}
        <li class="is-active"><a href="{{urlprefix}}/{{sem.code}}">{{sem.name}}</a></li>
      {% else %}
        <li><a href="{{urlprefix}}/{{sem.code}}">{{sem.name}}</a></li>
      {% endif %}
      {% endfor %}
    </ul>
 </div>

 {% for course_sem, membership in courses_semesters_membership %}
 <div class="card" style="margin-bottom: 2em;">
  <header class="card-header uv">
    <p class="card-header-title" style="font-size: 1.2em;">
      {{course_sem.course.code}} - {{course_sem.course.name}}
    </p>

  </header>
  <div id="{{course_sem.course.code}}" class="course_details">
    <div class="card-content scrolling-wrapper">
      {% for exam in course_sem.exams %}
      {{ exam_card.show(user, membership.role, exam, status) }}
      {% endfor %}

      <div class="modal" id="modal-create-exam-{{course_sem.course.code}}">
        <div class="modal-background"></div>
        <div class="modal-card">
          <form method="POST" action="/exam/{{active.code}}/{{course_sem.course.code}}/new">
            {% import 'components/exam_create.html' as form %}
            {{form.create_exam(course_sem.course.code)}}
          </form>
        </div>
      </div>
    </div>

  </div>
  {% if membership.role.name != "student" %}
  <footer class="card-footer">
    <form action="/course/{{course_sem.semester.code}}/{{course_sem.course.code}}/members">
      <button type="submit" class="button course-control">
              Gérer les membres
          <i class="fa-solid fa-user-pen logo"></i>
      </button>
    </form>
    <button class="js-modal-trigger button course-control" data-target="modal-create-exam-{{course_sem.course.code}}">
      Ajouter un examen
      <i class="fa-solid fa-file-circle-plus logo"></i>
    </button>
    <form action="/course/{{course_sem.semester.code}}/{{course_sem.course.code}}/table">
        <button type="submit" class="button course-control">
                Consulter les résultats
                <i class="fa-solid fa-square-poll-vertical logo"></i>
        </button>
    </form>
  </footer>
  {% endif %}

</div>

{% endfor %}

{% endblock %}
